package com.fjhx.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum TaskDetailsStockStatus {

    NO_IN_STOCK(0, "未入库"),
    IN_STOCK_ING(5, "入库中"),
    IN_STOCK(10, "已入库"),
    OUT_STOCK_ING(15, "出库中"),
    OUT_STOCK(20, "已出库");

    /**
     * 详细类型
     */
    private final Integer detailType;

    /**
     * 信息类型说明
     */
    private final String detailTypeRemark;

}
